ChangeSet 1.1807.56.17, 2004/08/04 18:34:36-07:00, greg@kroah.com

PCI: oops, forgot to check in the pci.h changes so that the quirk cleanups will work

Signed-off-by: Greg Kroah-Hartman <greg@kroah.com>


 include/linux/pci.h |    9 +++++----
 1 files changed, 5 insertions(+), 4 deletions(-)


diff -Nru a/include/linux/pci.h b/include/linux/pci.h
--- a/include/linux/pci.h	2004-08-23 11:05:43 -07:00
+++ b/include/linux/pci.h	2004-08-23 11:05:43 -07:00
@@ -1005,8 +1005,10 @@
 	void (*hook)(struct pci_dev *dev);
 };
 
-#define PCI_FIXUP_HEADER	1		/* Called immediately after reading configuration header */
-#define PCI_FIXUP_FINAL		2		/* Final phase of device fixups */
+enum pci_fixup_pass {
+	pci_fixup_header,	/* Called immediately after reading configuration header */
+	pci_fixup_final,	/* Final phase of device fixups */
+};
 
 /* Anonymous variables would be nice... */
 #define DECLARE_PCI_FIXUP_HEADER(vendor, device, hook)					\
@@ -1019,8 +1021,7 @@
 	__attribute__((__section__(".pci_fixup_final"))) = {				\
 		vendor, device, hook };
 
-
-void pci_fixup_device(int pass, struct pci_dev *dev);
+void pci_fixup_device(enum pci_fixup_pass pass, struct pci_dev *dev);
 
 extern int pci_pci_problems;
 #define PCIPCI_FAIL		1
